package jp.ac.takushoku_u.cs;

/**
* NegativeValueExceptionクラスは負の値を取りえない値の設定を行う際に、
* 負の値を設定しようとしたことを示すためにスローされます。
* @version 1.0
* @author 笠島 裕史(Kasajima Hiroshi)
*/
/*
* 最終更新日 2004年12月09日
*/

public class NegativeValueException extends IllegalValueException{

/**
* メッセージを持たない NegativeValueException を構築します。
*/
	public NegativeValueException(){
		super();
	}
	
/**
* 指定した詳細メッセージを持つ NegativeValueException を構築します。
* @param s 詳細メッセージ
*/
	public NegativeValueException(String s){
		super(s);
	}
}